Package io.vertx.json.schema.common.dsl

## Enum SchemaType

- java.lang.Object
- - java.lang.Enum<SchemaType>
  - - io.vertx.json.schema.common.dsl.SchemaType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SchemaType>`

      public enum SchemaType
      extends Enum<SchemaType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ARRAY` |
    `BOOLEAN` |
    `INTEGER` |
    `NUMBER` |
    `OBJECT` |
    `STRING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` |
    `static SchemaType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SchemaType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final SchemaType INTEGER

    - #### NUMBER

          public static final SchemaType NUMBER

    - #### BOOLEAN

          public static final SchemaType BOOLEAN

    - #### STRING

          public static final SchemaType STRING

    - #### ARRAY

          public static final SchemaType ARRAY

    - #### OBJECT

          public static final SchemaType OBJECT

  - ### Method Detail

    - #### values

          public static SchemaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaType c : SchemaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()